org.codehaus.groovy.groovydoc

## Interface GroovyDoc

All Superinterfaces:
  java.lang.Comparable

All Known Subinterfaces:
  GroovyClassDoc, GroovyConstructorDoc, GroovyExecutableMemberDoc, GroovyFieldDoc, GroovyMemberDoc, GroovyMethodDoc, GroovyPackageDoc, GroovyProgramElementDoc, GroovyRootDoc

All Known Implementing Classes:
  ArrayClassDocWrapper, ExternalGroovyClassDoc, SimpleGroovyAbstractableElementDoc, SimpleGroovyClassDoc, SimpleGroovyConstructorDoc, SimpleGroovyDoc, SimpleGroovyExecutableMemberDoc, SimpleGroovyFieldDoc, SimpleGroovyMemberDoc, SimpleGroovyMethodDoc, SimpleGroovyPackageDoc, SimpleGroovyProgramElementDoc, SimpleGroovyRootDoc

    public interface GroovyDoc
    extends java.lang.Comparable

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `commentText()`
`java.lang.String` `firstSentenceCommentText()`
`java.lang.String` `getRawCommentText()`
`boolean` `isAnnotationType()`
`boolean` `isAnnotationTypeElement()`
`boolean` `isClass()`
`boolean` `isConstructor()`
`boolean` `isDeprecated()`
`boolean` `isEnum()`
`boolean` `isEnumConstant()`
`boolean` `isError()`
`boolean` `isException()`
`boolean` `isField()`
`boolean` `isIncluded()`
`boolean` `isInterface()`
`boolean` `isMethod()`
`boolean` `isOrdinaryClass()`
`java.lang.String` `name()`
`void` `setRawCommentText(java.lang.String arg0)`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Method Detail

#### commentText

    java.lang.String commentText()

#### getRawCommentText

    java.lang.String getRawCommentText()

#### isAnnotationType

    boolean isAnnotationType()

#### isAnnotationTypeElement

    boolean isAnnotationTypeElement()

#### isClass

    boolean isClass()

#### isConstructor

    boolean isConstructor()

#### isDeprecated

    boolean isDeprecated()

#### isEnum

    boolean isEnum()

#### isEnumConstant

    boolean isEnumConstant()

#### isError

    boolean isError()

#### isException

    boolean isException()

#### isField

    boolean isField()

#### isIncluded

    boolean isIncluded()

#### isInterface

    boolean isInterface()

#### isMethod

    boolean isMethod()

#### isOrdinaryClass

    boolean isOrdinaryClass()

#### name

    java.lang.String name()

#### setRawCommentText

    void setRawCommentText(java.lang.String arg0)

#### firstSentenceCommentText

    java.lang.String firstSentenceCommentText()